Subject: RE: [netatalk-admins] RH6 + MD5 passwords - PLEASE!

From: Marc Matteo <[email-masked]>
Date: Fri, 9 Jul 1999 15:39:35 -0700

I would think that as long as PAM support was enabled properly netatalk
wouldn't care what sort of passwords you have.

Might the problem be somewhere else?

Marc
> ----------
> From: 	Thierry Michalowski
> Sent: 	Friday, July 9, 1999 6:10 AM
> To: 	[email-masked]
> Subject: 	[netatalk-admins] RH6 + MD5 passwords - PLEASE!
> 
> Hello,
> I recently sent a message concerning my linux box with RedHat 6.0
> installed on it.
> I got no answers, only a kind but wrong one from Ken Weiss who
> I directly contacted (thanks, Ken!).
> I got netatalk14b3+asun sources , compiled it with DES, tcpwrapper _and_
> PAM support , everything ok this far.
> The problem is, I cannot mount any exported volume from a Mac with a
> registered user on the Linux box; it always answers "Wrong password" .
> Mounting with the "guest" account works, though.
> My problem seems related to the fact that I choosed to enable MD5
> passwords during the Linux installation.
> I should explain that MD5 passwords are in no way related to the shadow
> passwords system: MD5 is simply another algorithm of encryption of the
> passwords that, as a side effect, allows for 256-bytes long passwords!
> (okay, from a Mac point of view this is of no use so I restrict the mac
> accounts to 8-bytes passwords).
> So, my question is this : has anyone succeeded in running netatalk on
> such a Linux configuration?
> Thanks a lot
> Thierry Michalowski
> 
> --
> Thierry Michalowski                                     /
> Edipresse Publications S.A                 \\\' ,      / //
> Informatique de Production                  \\\//    _/ //'
> 33,av. de la gare                            \_-//' /  //'
> 1001 LAUSANNE SUISSE                           \ ///  //'
> phone: +41 21 349 46 26                        /  >>   \\\`
> mailto:[email-masked]       /,)-^>>  _\`
>                                               (/   \\ / \\\
> "Unix is user-friendly...                           //  //\\\
> It is just selective about who its friends are"    ((`
> 
> 
> 
>